Ansible: Provide a new role for storageHub webapp

May 22, 2018 10:07 AM - Roberto Cirillo

Status: Closed Start date: May 22, 2018

Priority: Urgent Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Development   

Description

The new role should be tested on 

workspace-repository-devnext.d4science.org

 running on developmnent environment.

In 4.12 it will be applied to 

workspace-repository-prod.d4science.org

History

#1 - May 22, 2018 10:12 AM - Roberto Cirillo

- Status changed from New to In Progress

- % Done changed from 0 to 100

The playbook has been run successfully on dev instance. 

#2 - May 22, 2018 10:13 AM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Lucio Lelii

PLease @lucio.lelii@isti.cnr.it could you close this ticket if the storagehub works well?

#3 - May 22, 2018 10:47 AM - Lucio Lelii

- Status changed from Feedback to Closed

It works

#4 - May 22, 2018 10:48 AM - Massimiliano Assante

- Status changed from Closed to In Progress

- Priority changed from Normal to Urgent

- % Done changed from 100 to 50

Wonderful nothing works now in dev https://next.d4science.org/group/next/storage-hub

nor in preprod https://pre.d4science.org/group/prevre/prevre

#5 - May 22, 2018 10:50 AM - Massimiliano Assante

- % Done changed from 50 to 80

Now dev works, I got you while restarting it I suppose, please make it work the preprod scopes as well (preVRE, Dorne)

#6 - Oct 30, 2018 06:01 PM - Roberto Cirillo

- Status changed from In Progress to Closed
- % Done changed from 80 to 100

#7 - Oct 30, 2018 06:04 PM - Lucio Lelii

One thing is missing in the ansible configuration. There is a new parameter in the web.xml file for the uri resolver base path:

    <context-param>

        <param-name>resolver-basepath</param-name>

        <param-value>https://data-d.d4science.net/shub</param-value>

    </context-param>

 can you add it in the script?

#8 - Oct 30, 2018 06:24 PM - Roberto Cirillo

- Status changed from Closed to In Progress

- Assignee changed from Lucio Lelii to Roberto Cirillo

- % Done changed from 100 to 90

Lucio Lelii wrote:

One thing is missing in the ansible configuration. There is a new parameter in the web.xml file for the uri resolver base path:

  <context-param>

      <param-name>resolver-basepath</param-name>

      <param-value>https://data-d.d4science.net/shub</param-value>

  </context-param>

 can you add it in the script?

Ok but I guess the value should be parameterized:

 https://data-d.d4science.org/shub for dev and preprod instances;

https://data.d4science.org/shub for production instances

and the host should be data-d.d4science.org and not data-d.d4science.net

Could you confirm?

#9 - Oct 30, 2018 06:33 PM - Lucio Lelii

yes, correct

#10 - Oct 31, 2018 11:17 AM - Roberto Cirillo

- % Done changed from 90 to 100

Done. I'm going to test it ASAP.

#11 - Nov 16, 2018 09:37 AM - Roberto Cirillo

- Status changed from In Progress to Closed

Tested in preproduction. the new parameter has been added properly
